informatique:se:linux:applications:mise-a-jour-fedora-29

Fedora, la mise à jour complète

Mise à jour de Fedora

Voici mes notes concernant la mise de Fedora 31 à Fedora 32 dans le Terminal.

Dans un premier temps, j'ai mis à jour Fedora. Je ne sais pas si il y a une grande importance, mais il est important de le signaler de l'avoir fait.

sudo apt update

J'ai eu deux messages d'erreurs. Le premier concerne Java :

attention : /etc/java/java-11-openjdk/java-11-openjdk-11.0.7.10-0.fc31.x86_64/lib/security/default.policy créé en tant que /etc/java/java-11-openjdk/java-11-openjdk-11.0.7.10-0.fc31.x86_64/lib/security/default.policy.rpmnew
attention : /etc/java/java-11-openjdk/java-11-openjdk-11.0.7.10-0.fc31.x86_64/lib/security/public_suffix_list.dat créé en tant que /etc/java/java-11-openjdk/java-11-openjdk-11.0.7.10-0.fc31.x86_64/lib/security/public_suffix_list.dat.rpmnew

  Exécution du scriptlet: java-11-openjdk-headless-1:11.0.7.10-0.fc31.x86_64                                   52/362 
restored /etc/java/java-11-openjdk/java-11-openjdk-11.0.7.10-0.fc31.x86_64/lib/security/default.policy.rpmnew to /etc/java/java-11-openjdk/java-11-openjdk-11.0.7.10-0.fc31.x86_64/lib/security/default.policy
restored /etc/java/java-11-openjdk/java-11-openjdk-11.0.7.10-0.fc31.x86_64/lib/security/public_suffix_list.dat.rpmnew to /etc/java/java-11-openjdk/java-11-openjdk-11.0.7.10-0.fc31.x86_64/lib/security/public_suffix_list.dat

Le second concerne un problème d'allocation mémoire :

***MEMORY-ERROR***: [1708236]: GSlice: assertion failed: sinfo->n_allocated > 0
Abandon

En tout cas, je ne constate pas de problème de mémoire côté système.

$ free -h

              total        used        free      shared  buff/cache   available
Mem:           15Gi       4,6Gi       375Mi       1,6Gi        10Gi       9,0Gi
Swap:          31Gi       128Mi        31Gi

Je relance une mise à jour :

$ sudo dnf update

Dépendances résolues.
Rien à faire.
Terminé !

J'installe les paquets nécessaires pour la mise à jour :

$ sudo dnf install dnf-plugin-system-upgrade
$ sudo dnf --refresh upgrade

$ sudo dnf system-upgrade download --releasever=32

Le programme va demander la validation des nouvelles clés PKI des dépots.

Après avoir essuyé un revers de la part du gestionnaire de mise à jour intégré à Gnome, j'ai tenté avec la ligne de commande dans une fenêtre de terminal.

Pour effectuer la mise à jour de Fedora 28 vers Fedora 29, j'ai utilisé les commandes suivantes dans un terminal :

sudo dnf install dnf-plugin-system-upgrade

Cela permet d'installer la paquet python3-dnf-plugin-system-upgrade.

sudo dnf --refresh upgrade

sudo dnf system-upgrade download --releasever=29

Erreur lors de d'une mise à jour dnf

C'est le gestionnaire en ligne de commande, dnf qui me refuse la mise jour. Toutefois, dnf est un peu plus loquasse.

Erreur : 
 Problème 1: package jre1.8-1.8.0_171-fcs.x86_64 requires /bin/basename, but none of the providers can be installed
  - coreutils-8.29-7.fc28.x86_64 does not belong to a distupgrade repository
  - problem with installed package jre1.8-1.8.0_171-fcs.x86_64
 Problème 2: problem with installed package gstreamer1-plugins-bad-free-gtk-1.14.4-7.fc28.x86_64
  - package gstreamer1-plugins-bad-free-gtk-1.14.4-7.fc28.x86_64 requires gstreamer1-plugins-bad-free = 1.14.4-7.fc28, but none of the providers can be installed
  - cannot install both gstreamer1-plugins-bad-free-1.14.4-1.fc29.x86_64 and gstreamer1-plugins-bad-free-1.14.4-7.fc28.x86_64
  - package gstreamer1-plugins-bad-free-extras-1.14.4-1.fc29.x86_64 requires gstreamer1-plugins-bad-free(x86-64) = 1.14.4-1.fc29, but none of the providers can be installed
  - problem with installed package gstreamer1-plugins-bad-free-extras-1.14.4-7.fc28.x86_64
  - package gstreamer1-plugins-bad-free-extras-1.14.4-7.fc28.x86_64 requires libass.so.5()(64bit), but none of the providers can be installed
  - libass-0.13.4-6.fc28.x86_64 does not belong to a distupgrade repository
(essayez d’ajouter « --allowerasing » à la ligne de commande pour remplacer les paquets en conflit ou « --skip-broken » pour ignorer les paquets non installables)

J'identifie deux problèmes :

  • package jre1.8-1.8.0_171-fcs.x86_64
  • gstreamer1-plugins-bad-free-gtk-1.14.4-7.fc28.x86_64

dnf m'indique deux paramètres à ajouter au choix : allowerasing ou skip-broken

Pour jre1.8-1.8.0_171, il ne trouve pas de dépot de mise à jour de la dépendance coreutils-8.29-7.fc28.x86_64, je m'en débrouillerait plus tard.
Concernant gstreamer1-plugins-bad-free-gtk, je vais rétrograder de la version 1.14.4-7 à la version 1.14.4-1.

Je tente de nouveau la mise à jour du système, en ligne de commande avec l'option allowerasing :

sudo dnf system-upgrade download --releasever=29 --allowerasing

Nice !

Entrer votre commentaire. La syntaxe wiki est autorisée:
   ___   ____    __ __   ___   _      __
  / _ \ / __ \  / //_/  / _ | | | /| / /
 / , _// /_/ / / ,<    / __ | | |/ |/ / 
/_/|_| \____/ /_/|_|  /_/ |_| |__/|__/
 
  • informatique/se/linux/applications/mise-a-jour-fedora-29.txt
  • Dernière modification: 2020/05/13 12:50
  • par Cédric ABONNEL